package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "MonitorDIServerRequest",
   propOrder = {"diServiceInfo", "monitorMode"}
)
public class MonitorDIServerRequest {
   @XmlElement(
      name = "DIServiceInfo",
      required = true,
      nillable = true
   )
   protected DIServiceInfo diServiceInfo;
   @XmlElement(
      name = "MonitorMode",
      required = true
   )
   @XmlSchemaType(
      name = "token"
   )
   protected EDIServerMonitorMode monitorMode;

   public DIServiceInfo getDIServiceInfo() {
      return this.diServiceInfo;
   }

   public void setDIServiceInfo(DIServiceInfo value) {
      this.diServiceInfo = value;
   }

   public EDIServerMonitorMode getMonitorMode() {
      return this.monitorMode;
   }

   public void setMonitorMode(EDIServerMonitorMode value) {
      this.monitorMode = value;
   }
}
